cURL
curl --request GET \ --url https://{environment}.garden.finance/v3/estimate \ --header 'garden-app-id: <api-key>'
{ "status": "Ok", "result": [ { "source": { "asset": "solana_testnet:usdc", "amount": "15082000", "display": "15.08200000", "value": "15.0820" }, "destination": { "asset": "solana_testnet:usdc", "amount": "15082000", "display": "15.08200000", "value": "15.0820" }, "solver_id": "<string>", "estimated_time": 123, "slippage": 123, "fee": 123, "fixed_fee": "<string>" } ] }
Get a price for a route without creating an order.
If you do not yet have an app ID, please follow these steps.
Source amount in base units. Pass this or to_amount.
to_amount
Destination amount in base units. Pass this or from_amount.
from_amount
Estimate information.
Ok
Show child attributes